Nglide with ATi legacy cards

Report bugs, errors, problems, etc.
Gamecollector
Posts: 985
Joined: Fri Jan 07, 2011 9:29 am
Location: RU

Re: Nglide with ATi legacy cards

Post by Gamecollector » Fri Jan 03, 2014 4:01 pm

2 games were returned to the list. Nascar 2000 and Triple Play 2001.
Two more games are added: Tiger Woods PGA Tour 2000 and Madden NFL 2000.
Asus P4P800 SE/Pentium4 3.2E/2 GB DDR400 (3-3-3-8),
Radeon HD3850 AGP (Sapphire), Catalyst 14.4 (XpProSp3).
2 Voodoo2 12 MB (SLI), Win2k drivers 1.02.00 (XpProSp3).

Gamecollector
Posts: 985
Joined: Fri Jan 07, 2011 9:29 am
Location: RU

Re: Nglide with ATi legacy cards

Post by Gamecollector » Sun Jan 05, 2014 6:54 pm

Vigilance - nGlide 1.02 at last is working without FPS drops.

World Cup 98 - Z-buffering is ok. At last. But - there are texturing troubles.
Attachments
WorldCup98.JPG
WorldCup98.JPG (47.76 KiB) Viewed 5054 times
Asus P4P800 SE/Pentium4 3.2E/2 GB DDR400 (3-3-3-8),
Radeon HD3850 AGP (Sapphire), Catalyst 14.4 (XpProSp3).
2 Voodoo2 12 MB (SLI), Win2k drivers 1.02.00 (XpProSp3).

User avatar
Zeus
Site Admin
Posts: 1623
Joined: Sun Sep 21, 2008 2:51 pm
Contact:

Re: Nglide with ATi legacy cards

Post by Zeus » Mon Jan 06, 2014 3:01 pm

You need to use thrash driver from nGlide compatiliblity list.

Gamecollector
Posts: 985
Joined: Fri Jan 07, 2011 9:29 am
Location: RU

Re: Nglide with ATi legacy cards

Post by Gamecollector » Mon Jan 06, 2014 3:10 pm

Zeus wrote:You need to use thrash driver from nGlide compatiliblity list.
Nay. My task is testing. If I want to play this game - I will use a real Voodoo2. :)
Asus P4P800 SE/Pentium4 3.2E/2 GB DDR400 (3-3-3-8),
Radeon HD3850 AGP (Sapphire), Catalyst 14.4 (XpProSp3).
2 Voodoo2 12 MB (SLI), Win2k drivers 1.02.00 (XpProSp3).

User avatar
Zeus
Site Admin
Posts: 1623
Joined: Sun Sep 21, 2008 2:51 pm
Contact:

Re: Nglide with ATi legacy cards

Post by Zeus » Mon Jan 06, 2014 3:35 pm

I know, but will you be able to play this game on Voodoo2 and XP without changing thrash driver?

Gamecollector
Posts: 985
Joined: Fri Jan 07, 2011 9:29 am
Location: RU

Re: Nglide with ATi legacy cards

Post by Gamecollector » Mon Jan 06, 2014 4:05 pm

Zeus wrote:I know, but will you be able to play this game on Voodoo2 and XP without changing thrash driver?
Yes. By the way, WC98 3dsetup detect a real Voodoo2 but set the thrash driver string to "voodoo2", not "voodoo".
And if I set thrash driver string to voodoo - there are freezes with a real hardware.
I don't understand this...

3dsetup can use registry 3ddata keys from newer versions. I will retest...
Original 3ddata.exe/3dsetup.exe - can't detect a real Voodoo2.
Patched 3ddata.exe (i740 patch, 10 Jul 1998) - have detected my Voodoo2 and have set thrash driver to "voodoo".
Asus P4P800 SE/Pentium4 3.2E/2 GB DDR400 (3-3-3-8),
Radeon HD3850 AGP (Sapphire), Catalyst 14.4 (XpProSp3).
2 Voodoo2 12 MB (SLI), Win2k drivers 1.02.00 (XpProSp3).

User avatar
Zeus
Site Admin
Posts: 1623
Joined: Sun Sep 21, 2008 2:51 pm
Contact:

Re: Nglide with ATi legacy cards

Post by Zeus » Tue Jan 07, 2014 1:27 am

The bug that causes hardware to freeze is the same bug that causes texturing errors when using nGlide, except nGlide doesn't freeze before this happens. In other words this bug isn't wrapper related.

Gamecollector
Posts: 985
Joined: Fri Jan 07, 2011 9:29 am
Location: RU

Re: Nglide with ATi legacy cards

Post by Gamecollector » Tue Jan 07, 2014 10:07 am

So - the updated voodooa.dll in the compatibility list is the original voodooa.dll with this one bug fixed? No more differencies?
Asus P4P800 SE/Pentium4 3.2E/2 GB DDR400 (3-3-3-8),
Radeon HD3850 AGP (Sapphire), Catalyst 14.4 (XpProSp3).
2 Voodoo2 12 MB (SLI), Win2k drivers 1.02.00 (XpProSp3).

User avatar
Zeus
Site Admin
Posts: 1623
Joined: Sun Sep 21, 2008 2:51 pm
Contact:

Re: Nglide with ATi legacy cards

Post by Zeus » Thu Jan 09, 2014 2:05 am

No, it's GALAH's version. Thanks to his awesome work I didn't even have to bother with fixing the original one.

Gamecollector
Posts: 985
Joined: Fri Jan 07, 2011 9:29 am
Location: RU

Re: Nglide with ATi legacy cards

Post by Gamecollector » Sat Jan 25, 2014 3:59 am

Err... Zeus, I'm very sorry but you have killed the Tomb Raider support in nGlide 1.02. :) 1.01 is working ok.
Attachments
TombRaider.JPG
TombRaider.JPG (12.09 KiB) Viewed 4973 times
Asus P4P800 SE/Pentium4 3.2E/2 GB DDR400 (3-3-3-8),
Radeon HD3850 AGP (Sapphire), Catalyst 14.4 (XpProSp3).
2 Voodoo2 12 MB (SLI), Win2k drivers 1.02.00 (XpProSp3).

Locked